%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/10osvendor

Name: xorg-drv-apm
Version: 1.2.0
Release: alt2.M41.1
Serial: 1
Summary: Alliance ProMotion video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-apm = %serial:%version-%release
Obsoletes: xorg-x11-drv-apm

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-sdk xorg-util-macros xorg-proto-devel

ExclusiveArch: %ix86

%description
apm  is  an  Xorg driver for Alliance ProMotion video cards.
The driver is accelerated for supported hardware/depth combination.  It
supports  framebuffer  depths  of  8, 15, 16, 24 and 32 bits. For 6420,
6422, AT24, AT3D and AT25, all depths are fully accelerated  except  24
bpp  for  which  only  screen  to  screen copy and rectangle filling is
accelerated.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 xf86-video-apm.xinf %buildroot%_hwdatadir/apm.xinf
install -pD -m644 11-x11-video-apm.fdi %buildroot%_fdidir/11-x11-video-apm.fdi

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_fdidir/11-x11-video-apm.fdi
%_man4dir/*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt2.M41.1
- build for branch 4.1

* Wed Jun 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt3
- renamed xorg-x11-drv-apm to xorg-drv-apm
- added requires XORG_ABI_VIDEODRV = 2.0

* Fri Apr 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt2
- rebuild without mfb
- convert xinf to fdi

* Wed Mar 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt3
- rebuild with xorg-server-1.4

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt2
- added videoaliases file from RH

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.2-alt0.1
- initial release

